#!/bin/sh

name="wpjabber"
title="WPJabber"
package="wpjabber"
version="20030129"
build="1.3"
noarch="n"
build_info="Standard build."

info="Jabber server with POSIX threads."
desc="WPJabber is powerful instant messaging server based on XMPP/Jabber
protocol. WPJabber was developed to handle large amount of
concurrent users (tested with 50 thousand on 2xPIII)."
category="net/server/im"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,LICENSE,README,TODO,doc/FAQ"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://www.intersec.pl/~swiergot/$name-$version.tar.bz2 $name

apply_patch ssldos
apply_patch confpath
apply_patch bin
apply_patch volatile

configure_option --prefix=/usr/lib/wpjabber
configure_option --nodebug

parent_package="$package"
write_info main

cd $src1

chmod a-x LICENSE

do_configure
do_make
( cd conference ; make )
( cd jsm ; make )
( cd xdb_file ; make )
# ( cd wpj_epoll ; make )

msg_installing

copy jabberd/wpjabber $pkg_main/usr/sbin
copy conference/conference.so $pkg_main/usr/lib/wpjabber
copy jsm/jsm.so $pkg_main/usr/lib/wpjabber
copy xdb_file/xdb_file.so $pkg_main/usr/lib/wpjabber
copy $src_pkg/wpjabber.xml.new $pkg_main/etc/jabber
copy $src_pkg/rc.wpjabber $pkg_main/etc/rc.d
mkdir -p $pkg_main/var/spool/jabber/wpjabber
mkdir -p $pkg_main/var/log/jabber
mkdir -p $pkg_main/var/run/jabber

change_mod main var/spool/jabber "-R 700"
change_mod main etc/jabber 700
change_mod main var/run/jabber 700
change_mod main var/log/jabber 700
change_mod main etc/rc.d/rc.wpjabber 755

make_docs

copy conference/README $pkg_main/usr/doc/$name-$version README.conference
copy xdb_file/README $pkg_main/usr/doc/$name-$version README.xdb_file
# copy wpj_epoll/README $pkg_main/usr/doc/$name-$version README.wpj_epoll

make_package main

clean_up

# $Log: wpjabber.builder,v $
# Revision 1.4  2003/01/30 15:11:33  swiergot
# - Fixed name of rc script.
#
# Revision 1.3  2003/01/30 14:58:31  swiergot
# - Fixed source URL.
#
# Revision 1.2  2003/01/30 14:45:32  swiergot
# - The initial commit - part two.
#
# Revision 1.1  2003/01/30 10:42:25  swiergot
# - Initial release.
# - Version 20030129 (snapshot).
#
